Delete an address
DELETE
/account/checkout-addresses/{checkout_address_id}
const url = 'https://acme.mykreezalid.com/front_api/v1/account/checkout-addresses/4242';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://acme.mykreezalid.com/front_api/v1/account/checkout-addresses/4242 \ --header 'Authorization: Bearer <token>'Removes one address from the signed-in member’s address book.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”checkout_address_id
required
integer
Example
4242Identifier of one of the signed-in member’s addresses.
Responses
Section titled “Responses”The address is deleted. The body is empty.
No valid access token was sent, the address does not exist or belongs to another member (no address with this id), or it could not be deleted (can not delete the entity).
Media typeapplication/json
Error body returned by the Front API when it refuses a request.
object
code
HTTP status code, repeated in the body.
integer
status
string
message
Human-readable reason.
string
Example
{ "code": 403, "status": "error", "message": "Token not found in request"}